> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/appointments/appointment-credit.md).

# Appointment Credit

The `AppointmentCredit` object represents the predefined information of the credits used to create appointments within the [Coaching Portal](https://docs.suggestic.com/telewellness-portal/).

### Available Fields

<table data-header-hidden><thead><tr><th width="209.33333333333331" align="center">Field Name</th><th align="center">Type</th><th align="center">Description</th></tr></thead><tbody><tr><td align="center"><strong>Field Name</strong></td><td align="center"><strong>Type</strong></td><td align="center"><strong>Description</strong></td></tr><tr><td align="center"><code>ID</code></td><td align="center">ID</td><td align="center">Appointment credit ID</td></tr><tr><td align="center"><code>AppointmentType</code></td><td align="center">AppointmentType</td><td align="center">A structured version of appointment type information. It contains <code>contactType, durationMin</code>, <code>id, numberOfMember, and title</code> fields</td></tr><tr><td align="center"><code>Value</code></td><td align="center">Int</td><td align="center">Current total number of credits the user has</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/appointments/appointment-credit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
